/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { QuotaDto } from './quota-dto';

/**
 * Represents the data transfer object (DTO) for RDS options.
 * @export
 * @interface RdsOptionsDto
 */
export interface RdsOptionsDto {
    /**
     * The name of the bucket associated with RDS.
     * @type {string}
     * @memberof RdsOptionsDto
     */
    'bucketName': string;
    /**
     * 
     * @type {QuotaDto}
     * @memberof RdsOptionsDto
     */
    'size'?: QuotaDto;
}

